%define name calligra-l10n
%define version 2.7.5
%define release %mkrel 1
# Supported l10n language
%define langlist bs ca cs da de el es et fi fr gl hu ia it kk nb nds nl pl pt pt_BR ru sk sl sv tr uk zh_CN zh_TW

# Language descriptions
%define language_bs bs
%define langname_bs Bosnian
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_en_GB en_GB
%define langname_en_GB British English
%define language_es es
%define langname_es Spanish
%define language_et et
%define langname_et Estonian
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_gl gl
%define langname_gl Galician
%define language_hu hu
%define langname_hu Hungarian
%define language_ia ia
%define langname_ia Interlingua
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_kk kk
%define langname_kk Kazakh
%define language_nb nb
%define langname_nb Norwegian
%define language_nl nl
%define langname_nl Dutch
%define language_nds nds
%define langname_nds Lower Saxon
%define language_pl pl
%define langname_pl Polish
%define language_pt pt
%define langname_pt Portuguese
%define language_pt_BR pt_BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_ru ru
%define langname_ru Russian
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovenian
%define language_sv sv
%define langname_sv Swedish
%define language_tr tr
%define langname_tr Turkish
%define language_uk uk
%define langname_uk Ukrainian
%define language_wa wa
%define langname_wa Walloon
%define language_zh_CN zh_CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh_TW
%define langname_zh_TW Traditional Chinese

# --- Danger line ---

# Locales
%{expand:%(for lang in %langlist; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

Summary: Language files for Calligra (virtual package)
Name: %{name}
Version: %{version}
Release: %{release}
License: GPLv2+
Group: System/Internationalization
Url: http://www.calligra.org/
# localisation package template
Source0: %{name}-template.in
# l10n sources
%{expand:%(\
	i=1; \
	for lang in %langlist; do\
		echo "%%{expand:Source$i: http://download.kde.org/stable/calligra-%%{version}/calligra-l10n/%%{name}-%%{language_$lang}-%%{version}.tar.xz}";\
		i=$[i+1];\
	done\
	)
}
BuildRequires: gettext >= 0.15
BuildRequires: kdelibs4-devel
BuildArch: noarch
Obsoletes: koffice-l10n

%description
Language files for Calligra.

# Expand all localisation packages descriptions.

%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%prep
%setup -T -n %{name}-%{version} -c

for lang in %langlist; do\
  tar xf %{_sourcedir}/%{name}-$lang-%{version}.tar.xz;
done

%build
for lang in %langlist; do\
	pushd %{name}-$lang-%{version};
		%cmake_kde4;
		%make;
	popd;
done

%install
for lang in %langlist; do
	pushd %{name}-$lang-%{version};
		%makeinstall_std -C build;
	popd;
done


%changelog
* Thu Nov 28 2013 fwang <fwang> 2.7.5-1.mga4
+ Revision: 553796
- new version 2.7.5

* Mon Nov 18 2013 fwang <fwang> 2.7.4-1.mga4
+ Revision: 551704
- new version 2.7.4

* Sat Oct 19 2013 umeabot <umeabot> 2.7.3-2.mga4
+ Revision: 534956
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 fwang <fwang> 2.7.3-1.mga4
+ Revision: 480237
- add ia locale
- new version 2.7.3

* Tue Aug 20 2013 fwang <fwang> 2.7.2-1.mga4
+ Revision: 468060
- new version 2.7.2

* Thu Aug 01 2013 fwang <fwang> 2.7.1-1.mga4
+ Revision: 461928
- new version 2.7.1

* Sun Jun 30 2013 fwang <fwang> 2.6.92-1.mga4
+ Revision: 448566
- update filename
- new version 2.6.92

* Thu Jun 13 2013 tv <tv> 2.6.4-1.mga4
+ Revision: 442462
- new release

* Fri May 24 2013 fwang <fwang> 2.6.3-1.mga4
+ Revision: 425826
- new version 2.6.3

* Thu Mar 14 2013 fwang <fwang> 2.6.2-1.mga3
+ Revision: 403033
- new version 2.6.2
- drop old tarball
- new version 2.6.1

* Tue Feb 05 2013 fwang <fwang> 2.6.0-1.mga3
+ Revision: 394743
- cleanup spec
- new version 2.6.0
- new version 2.5.94

* Fri Jan 11 2013 umeabot <umeabot> 2.5.93-2.mga3
+ Revision: 347356
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 fwang <fwang> 2.5.93-1.mga3
+ Revision: 332244
- new version 2.5.92
- do not own system dir

* Tue Nov 27 2012 fwang <fwang> 2.5.92-1.mga3
+ Revision: 322241
- update file list
- new version 2.5.92

* Tue Oct 30 2012 fwang <fwang> 2.5.91-1.mga3
+ Revision: 311551
- new version 2.5.91

* Mon Oct 15 2012 fwang <fwang> 2.5.90-1.mga3
+ Revision: 305682
- update file list
- update file list
- new version 2.5.90

* Sun Oct 07 2012 fwang <fwang> 2.5.3-1.mga3
+ Revision: 303150
- update file list
- new version 2.5.3

* Sat Sep 22 2012 fwang <fwang> 2.5.2-2.mga3
+ Revision: 296551
- add fr translation

* Mon Sep 10 2012 mikala <mikala> 2.5.2-1.mga3
+ Revision: 291738
- Update tarball to 2.5.2
- Fix files list for gl subpackage

* Thu Aug 30 2012 fwang <fwang> 2.5.1-1.mga3
+ Revision: 285634
- new version 2.5.1

* Tue Aug 14 2012 neoclust <neoclust> 2.5.0-1.mga3
+ Revision: 281371
- New version 2.5.0

* Wed Jul 18 2012 fwang <fwang> 2.4.92-1.mga3
+ Revision: 272144
- update file list
- update file list
- update file list
- new version 2.4.92

* Thu Jun 21 2012 fwang <fwang> 2.4.91-1.mga3
+ Revision: 262414
- add ja
- new version 2.4.91

* Sat Jun 02 2012 fwang <fwang> 2.4.90-1.mga3
+ Revision: 253243
- update file list
- update file list
- new version 2.4.90

* Thu May 31 2012 fwang <fwang> 2.4.2-1.mga3
+ Revision: 251871
- new version 2.4.2

* Wed May 09 2012 fwang <fwang> 2.4.1-1.mga2
+ Revision: 234965
- new version 2.4.1

* Wed Apr 11 2012 mikala <mikala> 2.4.0-1.mga2
+ Revision: 230185
- Fix files list
- New version 2.4.0

  + fwang <fwang>
    - enable de doc
    - new version 2.3.87
    - fix description

* Thu Jan 12 2012 fwang <fwang> 2.3.86-1.mga2
+ Revision: 195373
- de does not contain doc files now
- new version 2.3.86

* Sat Dec 17 2011 fwang <fwang> 2.3.85-1.mga2
+ Revision: 182938
- new version 2.3.85

* Thu Dec 01 2011 fwang <fwang> 2.3.84-1.mga2
+ Revision: 174980
- new version 2.3.84

* Fri Oct 28 2011 fwang <fwang> 2.3.83-1.mga2
+ Revision: 158941
- new version 2.3.83

* Sat Oct 08 2011 fwang <fwang> 2.3.82-1.mga2
+ Revision: 152937
- update file list
- new version 2.3.82

* Thu Sep 15 2011 fwang <fwang> 2.3.81-1.mga2
+ Revision: 144041
- new version 2.3.81
- new version 2.3.74

* Thu Jul 14 2011 mikala <mikala> 2.3.73-1.mga2
+ Revision: 124248
- Update tarball to 2.3.73 (Calligra 2.4 alpha3)
 - ru is now available, ja & zh_CN are not

* Fri Jun 17 2011 fwang <fwang> 2.3.72-1.mga2
+ Revision: 109093
- update file list
- update tarname
- New version 2.3.72

  + mikala <mikala>
    - Fix URL
    - Fix typo in Summary for subpackages

* Tue Feb 15 2011 ahmad <ahmad> 2.3.1-1.mga1
+ Revision: 51827
- renaming to calligra-l10n
- rename to calligra-l10n

* Sat Feb 12 2011 ahmad <ahmad> 2.3.1-2.mga1
+ Revision: 50946
- imported package koffice-l10n
- introduce the use of a template that works for all sub-packages (based on the
  work from the firefox-l10n.spec and mozilla-thunderbird.spec in Mandriva)

